
- The documents under doc/ can be auto-updated if you have a local
  website VCS copy from e.g. https://salsa.debian.org/webmaster-team/webwml
  (See https://www.debian.org/devel/website .)

  Once you've set up some symlinks, and you've updated doc/Makefile,
  you should be able to run e.g.

   % make -C doc constitution.1.6.wml

  to get a copy of constitution.1.6.wml.  Once that's there, run

   % git add constitution.1.6.wml
   % git commit -m 'imported constitution.1.6.wml'

  .  Or use the "update" make target.

--Joost van Baal-Ilić, august 2016, may 2023



- The updating of documents under doc/ currently (2008) only works for english but
  could be easily expanded to provide all translations. Do we
  want to do this or should this be handled by the doc-debian-XX
  packages ?

  Note: some of the doc-debian-XX packages are really out of date
  and don't provide the same content that is available in doc-debian

--Javier Fernandez-Sanguino, 2008



Build instructions:

 joostvb@dazbog:~/git/debian% git clone git@salsa.debian.org:webmaster-team/webwml.git

(or, e.g. if you're low on disk space / network bandwidth:

 git clone --depth 1 --no-single-branch git@salsa.debian.org:webmaster-team/webwml.git

)

 root@nagy:~# aptitude update && aptitude -V install wml

 joostvb@dazbog:~/debian/www% ln -s ../../git/debian/webwml

 joostvb@nagy:~/sv...ackages/trunk/doc-debian% cat ~/bin/svn-prebuild 
 #!/bin/sh
 test -d $buildArea/doc-debian-3.1.6/doc || mkdir -p $buildArea/doc-debian-3.1.6/doc
 cp doc/Makefile $buildArea/doc-debian-3.1.6/doc
 make -C $buildArea/doc-debian-3.1.6/doc

 svn-buildpackage -uc -us -rfakeroot --svn-ignore --svn-dont-purge --svn-lintian --svn-linda --svn-prebuild=svn-prebuild --svn-reuse

--Joost van Baal-Ilić

